Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004932 [JEDI VCL] 00 JVCL Components minor always 2009-09-10 13:30 2009-10-02 11:36
Reporter geby View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004932: Bad selection in Designer with default messenger class
Description Hello!
I found next bug in runtime designer...

Try the attached application. Run it and load test.gfm form. You see one TPannel and one TButton placed on this TPannel.

Well, try to select this button by a mouse now. You cannot! You can select the Pannel, but the Button not. However when you are designing from the scratch, place new Panel and new Button, then you can select the button.

When you use TJvDesignWinControlHookMessenger (see the FormCreate in the source code...), all is OK.

Thanks!
Additional Information
Tags No tags attached.
Attached Files zip file icon jvclbug2.zip [^] (622,622 bytes) 2009-09-10 13:30

- Relationships

-  Notes
(0016220)
AHUser (developer)
2009-10-02 11:36

This is now fixed in SVN.

After loading the components they didn't have the csDesigning flag.

- Issue History
Date Modified Username Field Change
2009-09-10 13:30 geby New Issue
2009-09-10 13:30 geby File Added: jvclbug2.zip
2009-09-11 22:29 obones Status new => acknowledged
2009-10-02 11:36 AHUser Note Added: 0016220
2009-10-02 11:36 AHUser Status acknowledged => resolved
2009-10-02 11:36 AHUser Fixed in Version => Daily / SVN
2009-10-02 11:36 AHUser Resolution open => fixed
2009-10-02 11:36 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker